Subject: [sipcore] RFC4028 : Bug in 8.2. Processing of Responses

From: OKUMURA Shinji <[email-masked]>
Date: Mon, 8 Jun 2020 13:18:08 +0900

Hi,

I think the following change is necessary.

Section 8.2 says:
========================================================================
    If the proxy remembers
    that the UAC did not support the session timer either, the proxy
    forwards the response upstream normally.
========================================================================

It should say:
========================================================================
    If the proxy remembers that the UAC did not support the session timer
    either or the value of the 'refresher' parameter was 'uas', the proxy
    forwards the response upstream normally.
========================================================================

Regards,
Shinji

---

From: Roman Shpount <[email-masked]>
Date: Mon, 8 Jun 2020 02:13:31 -0400

You are most likely correct. This is a bug.
_____________
Roman Shpount

On Mon, Jun 8, 2020 at 12:18 AM OKUMURA Shinji <[email-masked]>
wrote:

> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 8 Jun 2020 07:26:51 +0000

Hi,

It would be good if the bugs could be raised as issues in the associated Github repo, to make sure we keep track of them:

https://github.com/cdh4u/draft-sipcore-4028bis

Regards,

Christer

From: sipcore <[email-masked]> On Behalf Of Roman Shpount
Sent: maanantai 8. kesäkuuta 2020 9.14
To: OKUMURA Shinji <[email-masked]>
Cc: SIPCORE <[email-masked]>
Subject: Re: [sipcore] RFC4028 : Bug in 8.2. Processing of Responses

On Mon, Jun 8, 2020 at 12:18 AM OKUMURA Shinji <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Section 8.2 says:

It should say:

Regards,
Shinji

_______________________________________________
sipcore mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sipcore

---

From: Roman Shpount <[email-masked]>
Date: Mon, 8 Jun 2020 03:50:55 -0400

Done:  https://github.com/cdh4u/draft-sipcore-4028bis/issues/1
_____________
Roman Shpount

On Mon, Jun 8, 2020 at 3:26 AM Christer Holmberg <
[email-masked]> wrote:

> Hi,
>
>
>
> It would be good if the bugs could be raised as issues in the associated
> Github repo, to make sure we keep track of them:
>
>
>
> *From:* sipcore <[email-masked]> *On Behalf Of *Roman Shpount
> *Sent:* maanantai 8. kesäkuuta 2020 9.14
> *To:* OKUMURA Shinji <[email-masked]>
> *Cc:* SIPCORE <[email-masked]>
> *Subject:* Re: [sipcore] RFC4028 : Bug in 8.2. Processing of Responses
>
>
>

---

From: OKUMURA Shinji <[email-masked]>
Date: Wed, 17 Jun 2020 10:39:15 +0900

HI,

I noticed that there is a problem with this fix. According to this fix, a UAC can force the session timer to stop by attaching a SE header with refresher=uas to an UPDATE request. After all, I think it's Section 7.2 that should be fixed.

Section 7.2 should says;

Even if a UAC included a refresher=uas in a request, the UAC MUST be prepared to receive a refresher=uac in the response. This will happen when the UAS doesn't support the session timer extension and the proxy follows the procedures described in Section 8.2. Therefore, it is NOT RECOMMENDED that the refresher parameter be set to 'uas', unless the UAC knows that the other side supports the session timer.

Regards,
Shinji

---

From: OKUMURA Shinji <[email-masked]>
Date: Wed, 17 Jun 2020 10:51:35 +0900

Hi,

This forced "turned-off" occurs when the UAS does not support the session-timer.